Xerces2 Implementation: Class NodeImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.opti
Class NodeImpl

    java.lang.Object
      |
      +--org.apache.xerces.impl.xs.opti.DefaultNode
            |
            +--org.apache.xerces.impl.xs.opti.NodeImpl

All Implemented Interfaces:
  org.w3c.dom.Node

Direct Known Subclasses:
  AttrImpl, DefaultDocument, DefaultElement, DefaultText

public class NodeImpl
extends DefaultNode

Version:
  $Id: NodeImpl.java,v 1.2 2002/12/13 17:23:24 sandygao Exp $
Author:
  Rahul Srivastava, Sun Microsystems Inc.

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`NodeImpl()`
`NodeImpl(java.lang.String prefix, java.lang.String localpart, java.lang.String rawname, java.lang.String uri, short nodeType)`

Method Summary
`java.lang.String` | `getLocalName()`
`java.lang.String` | `getNamespaceURI()`
`java.lang.String` | `getNodeName()`
`short` | `getNodeType()`
`java.lang.String` | `getPrefix()`
`boolean` | `getReadOnly()`
`void` | `setReadOnly(boolean hide, boolean deep)`

Methods inherited from class org.apache.xerces.impl.xs.opti.DefaultNode
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeImpl

    public NodeImpl()

### NodeImpl

    public NodeImpl(java.lang.String prefix,
                    java.lang.String localpart,
                    java.lang.String rawname,
                    java.lang.String uri,
                    short nodeType)

Method Detail

### getNodeName

    public java.lang.String getNodeName()

  Overrides:
    `getNodeName` in class `DefaultNode`

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Overrides:
    `getNamespaceURI` in class `DefaultNode`

### getPrefix

    public java.lang.String getPrefix()

  Overrides:
    `getPrefix` in class `DefaultNode`

### getLocalName

    public java.lang.String getLocalName()

  Overrides:
    `getLocalName` in class `DefaultNode`

### getNodeType

    public short getNodeType()

  Overrides:
    `getNodeType` in class `DefaultNode`

### setReadOnly

    public void setReadOnly(boolean hide,
                            boolean deep)

### getReadOnly

    public boolean getReadOnly()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.